Bug 1291553 - compile the virt-viewer with spice-gtk0.29, libusb-dk-v4, gstreamer1.0,there is no sound from the virtual machine [NEEDINFO]
compile the virt-viewer with spice-gtk0.29, libusb-dk-v4, gstreamer1.0,there ...
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-viewer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 01:33 EST by wumin
Modified: 2015-12-15 17:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 17:26:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pgrunt: needinfo? (wumin)
victortoso: needinfo? (wumin)


Attachments (Terms of Use)

  None (edit)
Description wumin 2015-12-15 01:33:12 EST
Description of problem:

  I compile the virt-viewer with spice-gtk0.29, libusb-dk-v4, gstreamer1.0, virt-viewer1.0 on windows platform, when the compile is complete, there is no sound from the virtual machine. If I compile it with spice-gtk0.25, I can hear the sound

Version-Release number of selected component (if applicable):
spice-gtk0.29,libusb-dk-v4, gstreamer1.0,virt-viewer1.0, windows 7


How reproducible:


Steps to Reproduce:
1. compile  spice-gtk0.29
2. compile libusb-dk-v4
3. compile gstreamer1.0
4. compile virt-viewer1.0 

Actual results:no sound


Expected results:


Additional info:
Comment 2 Pavel Grunt 2015-12-15 02:09:51 EST
It is not rhel6, changing product.

No info in debug logs?
Comment 3 Victor Toso 2015-12-15 02:39:02 EST
GStreamer 1.0 support on spice-gtk was introduced in 0.27, so if it works with 0.25 it works with older version of GStreamer.

Without information about your build procedures and options, there isn't much we can do. In case you did everything correctly, the client logs are a must as requested in comment #2.

I also suggest to take a look in the mingw packages from fedora. They are used to provided the official version of virt-viewer.
Comment 4 Fabiano Fidêncio 2015-12-15 03:17:43 EST
How are you building the package? Are you using msitools or nsis? Please, provide the version of all packages involved.

spice-gtk-.0.29 depends on gstreamer-1.0, virt-viewer-1.0, OTOH has its nsis/msi file using/depending on gstreamer-0.10.
I would recommend to use the latest version of every package involved (fedora 23 is a good base system for this) and everything should work as expected.
Comment 5 Fabiano Fidêncio 2015-12-15 17:26:14 EST
So, I am closing this bug as WONTFIX.
The best way to proceed about your issue is contacting us through our mailing list (http://www.redhat.com/mailman/listinfo/virt-tools-list) and/or upstream bugzilla (https://bugs.freedesktop.org/).

Also, when building upstream components, try to use their latest released version.

No need to add the link to this bug report, in case you end up opening a upstream bug.

Note You need to log in before you can comment on or make changes to this bug.